Sympa::Request::Handler(3Sympa)

NAME
Sympa::Request::Handler - Base class of request handler classes

SYNOPSIS
  package Sympa::Request::Handler::foo;
  use base qw(Sympa::Request::Handler);

  use constant _action_regexp   => qr{reject|request_auth|do_it}i;
  use constant _action_scenario => 'review';
  use constant _context_class   => 'Sympa::List';

  sub _twist {
      ...
  }

  1;

DESCRIPTION
Sympa::Request::Handler is the base class of subclasses to process instance of Sympa::Request.

  Methods
TBD.

  Methods subclass should implement

_action_regexp ( )
    Instance method, mandatory if _action_scenario() returns true value. Returns a regexp matching available scenario results. Note that "i" modifier is necessary.

_action_scenario ( )
    Instance method, mandatory. Returns the name of scenario to authorize the request under given context. If authorization is not required, returns "undef".

_context_class ( )
    Instance method. Returns the class name of context under which the request will be executed, Sympa::List etc. By default, returns robot context.

_owner_action ( )
    Instance method. Returns name of action to be stored in spool when scenario returns "owner". By default, returns "undef".

_twist ( $request )
    Instance method, mandatory. See "_twist" in Sympa::Spindle.

SEE ALSO
Sympa::Request, Sympa::Spindle.

HISTORY
Sympa::Request::Handler appeared on Sympa 6.2.15.